=== modified file 'NEWS'
--- NEWS	2007-01-18 20:29:12 +0000
+++ NEWS	2007-01-18 23:20:16 +0000
@@ -9,6 +9,10 @@
       available. Fixes running selftest for installled copies of bzr. 
       (John Arbash Meinel, #80330)
 
+    * Fix the code that discovers whether bzr is being run from it's
+      working tree to handle the case when it isn't but the directory
+      it is in is below a repository. (James Westby, #77306)
+
 bzr 0.14rc1  2007-01-16
 
   IMPROVEMENTS:

=== modified file 'bzrlib/version.py'
--- bzrlib/version.py	2006-10-11 23:08:27 +0000
+++ bzrlib/version.py	2007-01-18 23:20:16 +0000
@@ -63,5 +63,6 @@
     try:
         from bzrlib.workingtree import WorkingTree
         return WorkingTree.open_containing(__file__)[0]
-    except (errors.NotBranchError, errors.UnknownFormatError):
+    except (errors.NotBranchError, errors.UnknownFormatError,
+            errors.NoWorkingTree):
         return None

